<?xml version="1.0" encoding="ISO-8859-1" ?>
<hackinfo>

	<step title="Welcome to the vBHosting 2.0 Repair System">
		<outputline><![CDATA[This script corrects your templates after your ran any vBulletin update. It also helps you to redo the file edits if you have overwritten the standard vBulletin files.]]></outputline>
		<outputline><![CDATA[Please note this script should have no effect if you didn't run a vBulletin update]]></outputline>
		<outputline><![CDATA[Click 'Next' To continue.]]></outputline>
	</step>

	<step title="Check files">
		<outputline><![CDATA[Checking if all files have been uploaded...]]></outputline>
		<startlist />
		<checkfileexists><![CDATA[./vbhosting.php]]></checkfileexists>
		<checkfileexists><![CDATA[./admincp/vbhosting.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/index.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/administrator.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/color.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/image.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/headerandfooter.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/global.php]]></checkfileexists>
		<checkfileexists><![CDATA[./includes/functions_vbhosting.php]]></checkfileexists>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Please alter the directory <strong>./images/buttons/vbhosting</strong> and change it's permissions so the webserver can write to it.]]></outputline>
	</step>

	<step title="File Edits">
		<outputline>Please do the file edits below if you have overwritten that files while updating vBulletin.</outputline>
		<editfile filename="admincp/index.php">
			<find times="1"><![CDATA[		construct_nav_group($vbphrase['faq']);
	}
	if ($printhr == true)
	{
		construct_nav_spacer();
	}]]></find>
			<edit action="under"><![CDATA[	// ***
	construct_nav_option($vbphrase['vbhosting_admincp_reviewrequests'], 'vbhosting.php?do=requests');
	construct_nav_group('vBHosting 2.0');
	construct_nav_spacer();]]></edit>
		</editfile>
		<editfile filename="includes/adminfunctions_navpanel.php">
			<find times="1"><![CDATA[	global $_NAV, $_NAVPREFS, $groupid, $vboptions, $vbphrase, $nojs, $session;

	$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]do=home\">$vbphrase[control_panel_home]</a></div>";]]></find>
			<edit action="replace"><![CDATA[	global $_NAV, $_NAVPREFS, $groupid, $vboptions, $vbphrase, $nojs, $session, $hostedid;

	if (VB_AREA == 'HostingCP')
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]hostedid=$hostedid&do=home\">$vbphrase[control_panel_home]</a><br /><a href=\"index.php?$session[sessionurl]\" target=\"_top\">$vbphrase[vbhosting_switch_to_another_forum]</a></div>";
	}
	else
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]do=home\">$vbphrase[control_panel_home]</a></div>";
	}]]></edit>
		</editfile>
		<outputline>Now re-upload this files.</outputline>
	</step>

	<step title="Template Edits">
		<outputline><![CDATA[Creating new templates...]]></outputline>
		<startlist />
		<createtemplate styleid="-1" handler="vbhosting_create"><![CDATA[$stylevar[htmldoctype]
<html dir="$stylevar[textdirection]" lang="$stylevar[languagecode]">
<head>
<title>$vboptions[bbtitle] - $vbphrase[vbhosting_create_createforum]</title>
$headinclude
</head>
<body>
$header
$navbar

<form action="$vboptions[vbhosting_create_scriptname]" method="post">
<input type="hidden" name="s" value="$session[sessionhash]" />
<input type="hidden" name="do" value="$nextstep" />

$content

</form>

<br />
<div class="smallfont" align="center"><phrase 1="$vboptions[vbhosting_version]">$vbphrase[vbhosting_create_poweredby]</phrase></div>

$footer

</body>
</html>]]></createtemplate>
		<createtemplate styleid="-1" handler="vbhosting_create_rules"><![CDATA[<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
    <td class="tcat" align="$stylevar[right]">
        <span style="float:$stylevar[left]">$vbphrase[vbhosting_create_createforum] - $vbphrase[vbhosting_create_step]</span>
    </td>
</tr>
<tr>
    <td class="panelsurround" align="center">
    <div class="panel">
        <div style="width:$stylevar[formwidth]" align="$stylevar[left]">

<div style="width:$stylevar[formwidth]" align="$stylevar[left]">
    <fieldset class="fieldset">
        <legend>$vbphrase[vbhosting_create_rules_title]</legend>
        <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0" width="100%">
            <tr>
                <td>
                    <div class="alt1" style="border:inset thin; padding:$stylevar[cellpadding]px; height:175px; overflow:auto">
                        $vbphrase[vbhosting_create_rules]
                    </div>
                    <div><label for="cb_acceptrules"><input type="checkbox" name="acceptrules" id="cb_acceptrules" value="1" /><strong>$vbphrase[vbhosting_create_rules_accept_click]</strong></label></div>
                </td>
            </tr>
        </table>
    </fieldset>
</div>


        </div>
    </div>

    <div style="margin-top:$stylevar[cellpadding]px">
        <input type="submit" class="button" value="$vbphrase[next]" accesskey="s" />
    </div>
    </td>
</tr>
</table>



]]></createtemplate>
		<createtemplate styleid="-1" handler="vbhosting_create_createforum"><![CDATA[<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
    <td class="tcat" align="$stylevar[right]">
        <span style="float:$stylevar[left]">$vbphrase[vbhosting_create_createforum] - $vbphrase[vbhosting_create_step]</span>
    </td>
</tr>
<if condition="$errortext">
<tr>
    <td class="thead">$vbphrase[vbhosting_create_createforum_title_error]</td>
</tr>
<tr>
    <td class="panelsurround" align="center">
    <div class="panel">
        <div style="width:$stylevar[formwidth]" align="$stylevar[left]">
            <phrase 1="$errortext">$vbphrase[vbhosting_create_errors]</phrase>
        </div>
    </div>
    </td>
</tr>
</table>

<br />

<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
</if>
<tr>
    <td class="thead">$vbphrase[vbhosting_create_createforum_title_basesettings]</td>
</tr>
<tr>
    <td class="panelsurround" align="center">
    <div class="panel">
        <div style="width:$stylevar[formwidth]" align="$stylevar[left]">

            <fieldset class="fieldset">
                <legend><label for="tb_forumtitle">$vbphrase[vbhosting_create_createforum_forumtitle]</label></legend>
                <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0" width="100%">
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_forumtitle_info]</td>
                    </tr>
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_forumtitle]:<br /><input type="text" class="bginput" name="forumtitle" id="tb_forumtitle" value="$oldinfo[forumtitle]" size="50" maxlength="200" /></td>
                    </tr>
                </table>
            </fieldset>

            <fieldset class="fieldset">
                <legend><label for="tb_description">$vbphrase[vbhosting_create_createforum_description]</label></legend>
                <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0" width="100%">
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_description_info]</td>
                    </tr>
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_description]:<br /><input type="text" class="bginput" name="description" id="tb_description" value="$oldinfo[description]" size="50" maxlength="200" /></td>
                    </tr>
                </table>
            </fieldset>

        </div>
    </div>
    </td>
</tr>
</table>

<br />

<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
    <td class="thead">$vbphrase[vbhosting_create_createforum_title_websiteinfo]</td>
</tr>
<tr>
    <td class="panelsurround" align="center">
    <div class="panel">
        <div style="width:$stylevar[formwidth]" align="$stylevar[left]">

            <fieldset class="fieldset">
                <legend><label for="tb_logo">$vbphrase[vbhosting_create_createforum_logo]</label></legend>
                <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0" width="100%">
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_logo_info]</td>
                    </tr>
                <tr>
                        <td>$vbphrase[vbhosting_create_createforum_logo]:<br /><input type="text" class="bginput" name="logo" id="tb_logo" value="$oldinfo[logo]" size="50" maxlength="200" /></td>
                    </tr>
                </table>
            </fieldset>

            <fieldset class="fieldset">
                <legend><label for="tb_websiteurl">$vbphrase[vbhosting_create_createforum_websiteurl]</label></legend>
                <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0" width="100%">
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_websiteurl_info]</td>
                    </tr>
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_websiteurl]:<br /><input type="text" class="bginput" name="websiteurl" id="tb_websiteurl" value="$oldinfo[websiteurl]" size="50" maxlength="200" /></td>
                    </tr>
                </table>
            </fieldset>

            <fieldset class="fieldset">
                <legend><label for="tb_websitetitle">$vbphrase[vbhosting_create_createforum_websitetitle]</label></legend>
                <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0" width="100%">
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_websitetitle_info]</td>
                    </tr>
                    <tr>
                        <td>$vbphrase[vbhosting_create_createforum_websitetitle]:<br /><input type="text" class="bginput" name="websitetitle" id="tb_websitetitle" value="$oldinfo[websitetitle]" size="50" maxlength="200" /></td>
                    </tr>
                </table>
            </fieldset>

        </div>
    </div>

<if condition="$vboptions['vbhosting_create_regimagecheck'] AND $vboptions['gdversion']">

    </td>
</tr>

</table>

<br />

<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
    <td class="thead">$vbphrase[vbhosting_create_createforum_title_security]</td>
</tr>
<tr>
    <td class="panelsurround" align="center">
    <div class="panel">
        <div style="width:$stylevar[formwidth]" align="$stylevar[left]">
                <fieldset class="fieldset">
                    <legend>$vbphrase[image_verification]</legend>
                    <table cellpadding="0" cellspacing="$stylevar[formspacer]" border="0">
                        <tr>
                            <td>
                                $vbphrase[enter_text_image_right]
                            </td>
                            <td rowspan="2"><img src="image.php?$session[sessionurl]type=regcheck&amp;imagehash=$imagehash" alt="$vbphrase[registration_image]" width="201" height="61" border="0" /></td>
                        </tr>
                        <tr>
                            <td><input type="text" class="bginput" name="imagestamp" size="50" maxlength="6" value="$imagestamp" /><input type="hidden" name="imagehash" value="$imagehash" /></td>
                        </tr>
                    </table>
                </fieldset>
        </div>
    </div>

</if>

    <div style="margin-top:$stylevar[cellpadding]px">
        <input type="submit" class="button" value="$vbphrase[next]" accesskey="s" />
    </div>
    </td>
</tr>

</table>]]></createtemplate>
		<createtemplate styleid="-1" handler="vbhosting_create_docreateforum"><![CDATA[<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
    <td class="tcat" align="$stylevar[right]">
        <span style="float:$stylevar[left]">$vbphrase[vbhosting_create_createforum] - $vbphrase[vbhosting_create_step]</span>
    </td>
</tr>
<tr>
    <td class="panelsurround" align="center">
    <div class="panel">
        <div style="width:$stylevar[formwidth]" align="$stylevar[left]">
            <div class="smallfont" align="$stylevar[left]">
                <if condition="$vboptions['vbhosting_create_needmoderation']">
                    $vbphrase[vbhosting_create_docreateforum_needmoderation]
                <else />
                    <phrase 1="$session[sessionurl]" 2="$forumid" 3="$vboptions[vbhosting_admin_directory]">$vbphrase[vbhosting_create_docreateforum_forumcreated]</phrase>
                </if>
            </div>
        </div>
    </div>
    </td>
</tr>
</table>]]></createtemplate>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Altering existing templates...]]></outputline>
		<startlist />
		<altertemplate styleid="-1" handler="navbar">
			<find><![CDATA[<td id="navbar_search" class="vbmenu_control"><a href="search.php?$session[sessionurl]">$vbphrase[search]</a> <script type="text/javascript"> vbmenu_register("navbar_search"); </script></td>]]></find>
			<replace ifnotcontains="vbmenu_register(&quot;vbhosting&quot;)"><![CDATA[<if condition="$vboptions['vbhosting_general_showinmenu']">
					<td id="vbhosting" class="vbmenu_control"><a href="$vboptions[vbhosting_create_scriptname]?$session[sessionurl]">$vbphrase[vbhosting_navbar_forumhosting]</a> <script type="text/javascript"> vbmenu_register("vbhosting"); </script></td>
				</if>
				<td id="navbar_search" class="vbmenu_control"><a href="search.php?$session[sessionurl]">$vbphrase[search]</a> <script type="text/javascript"> vbmenu_register("navbar_search"); </script></td>]]></replace>
			<find><![CDATA[<td class="vbmenu_control"><a href="forumdisplay.php?$session[sessionurl]do=markread">$vbphrase[mark_forums_read]</a></td>]]></find>
			<replace ifnotcontains="$vbphrase[vbhosting_navbar_admin]"><![CDATA[<td class="vbmenu_control"><a href="forumdisplay.php?$session[sessionurl]do=markread">$vbphrase[mark_forums_read]</a></td>
			<if condition="$vboptions['vbhosting_general_showinmenu']">			
				<td class="vbmenu_control"><a href="$vboptions[vbhosting_create_scriptname]?$session[sessionurl]">$vbphrase[vbhosting_navbar_gethosted]</a></td>
				<td class="vbmenu_control"><a href="$vboptions[vbhosting_admin_directory]/index.php?$session[sessionurl]">$vbphrase[vbhosting_navbar_admin]</a></td>
			</if>]]></replace>
			<find><![CDATA[<!-- NAVBAR POPUP MENUS -->]]></find>
			<replace ifnotcontains="vBHosting 2.0"><![CDATA[<!-- NAVBAR POPUP MENUS -->

	<if condition="$vboptions['vbhosting_general_showinmenu']">
	<div class="vbmenu_popup" id="vbhosting_menu" style="display:none">
		<table cellpadding="4" cellspacing="1" border="0">
		<tr><td class="thead">vBHosting 2.0</td></tr>		
		<tr><td class="vbmenu_option"><a href="$vboptions[vbhosting_create_scriptname]?$session[sessionurl]">$vbphrase[vbhosting_navbar_gethosted]</a></td></tr>
		<tr><td class="vbmenu_option"><a href="$vboptions[vbhosting_admin_directory]/index.php?$session[sessionurl]">$vbphrase[vbhosting_navbar_admin]</a></td></tr>
		</table>
	</div>
	</if>]]></replace>
		</altertemplate>
		<altertemplate styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" handler="header">
			<find><![CDATA[<td align="$stylevar[left]"><a href="$vboptions[forumhome].php?$session[sessionurl]"><img src="$stylevar[titleimage]" border="0" alt="$vboptions[bbtitle]" /></a></td>]]></find>
			<replace ifnotcontains="{hostedsiteurl}"><![CDATA[<td align="$stylevar[left]"><a href="{hostedsiteurl}" target="_blank"><img src="$stylevar[titleimage]" border="0" alt="{hostedsitename}" /></a></td>]]></replace>
			<find><![CDATA[<a name="top"></a>]]></find>
			<replace ifnotcontains="{headerinclude}"><![CDATA[<a name="top"></a>
{headerinclude}]]></replace>
		</altertemplate>
		<altertemplate styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" handler="footer">
			<find><![CDATA[<if condition="$show['dst_correction']">]]></find>
			<replace ifnotcontains="{footerinclude}"><![CDATA[{footerinclude}

<if condition="$show['dst_correction']">]]></replace>
		</altertemplate>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<rebuildstyle styleid="-1" />
	</step>

</hackinfo>